Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jstacs.sequenceScores.statisticalModels.trainable.hmm.states.emissions.continuous
Class PluginGaussianEmission

    java.lang.Object
      de.jstacs.sequenceScores.statisticalModels.trainable.hmm.states.emissions.continuous.GaussianEmission
          de.jstacs.sequenceScores.statisticalModels.trainable.hmm.states.emissions.continuous.PluginGaussianEmission

All Implemented Interfaces:
  DifferentiableEmission, Emission, Storable, Cloneable

    public class PluginGaussianEmission

extends GaussianEmission

Basic Gaussian emission distribution without random initialization of parameters.

Author:
  Michael Seifert

Field Summary
`protected double` | `meanValue` Initial mean value.
`protected double` | `standardDeviation` Initial standard deviation.

Constructor Summary
`PluginGaussianEmission(double mean, double sd, double ess, double priorMu, double priorAlpha, double priorBeta)` Creates a Gaussian emission density with mean `mean` and standard deviation `sd`.
`PluginGaussianEmission(StringBuffer xml)` Creates a `PluginGaussianEmission` from its XML representation.

Method Summary
`protected void` | `fromXML(StringBuffer xml)` This method is internally used by the constructor `GaussianEmission.GaussianEmission(StringBuffer)`.
`void` | `initializeFunctionRandomly()` This method initializes the emission randomly.
`String` | `toString()`
`StringBuffer` | `toXML()` This method returns an XML representation as `StringBuffer` of an instance of the implementing class.

Methods inherited from class de.jstacs.sequenceScores.statisticalModels.trainable.hmm.states.emissions.continuous.GaussianEmission
`addGradientOfLogPriorTerm, addToStatistic, clone, estimateFromStatistic, fillCurrentParameter, fillSamplingGroups, getAlphabetContainer, getLogPriorTerm, getLogProbAndPartialDerivationFor, getLogProbFor, getNodeLabel, getNodeShape, getNumberOfParameters, getSizeOfEventSpace, joinStatistics, precompute, resetStatistic, setParameter, setParameterOffset, setParameters`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### meanValue

    protected double meanValue

  Initial mean value.

### standardDeviation

    protected double standardDeviation

  Initial standard deviation.

Constructor Detail

### PluginGaussianEmission

    public PluginGaussianEmission(double mean,
                                  double sd,
                                  double ess,
                                  double priorMu,
                                  double priorAlpha,
                                  double priorBeta)

  Creates a Gaussian emission density with mean `mean` and standard deviation `sd`.

  Parameters:
    `mean` - mean value
    `sd` - standard deviation (initially handled as precision)
    `ess` - scale factor of a priori mean (epsilon)
    `priorMu` - a priori mean (nhi)
    `priorAlpha` - shape parameter (r)
    `priorBeta` - scale parameter (alpha)

### PluginGaussianEmission

    public PluginGaussianEmission(StringBuffer xml)
                           throws NonParsableException

  Creates a `PluginGaussianEmission` from its XML representation.

  Parameters:
    `xml` - the XML representation.
  Throws:
    `NonParsableException` - if the XML representation could not be parsed

Method Detail

### initializeFunctionRandomly

    public void initializeFunctionRandomly()

  Description copied from interface: `Emission`
  This method initializes the emission randomly.

  Specified by:
    `initializeFunctionRandomly` in interface `Emission`
  Overrides:
    `initializeFunctionRandomly` in class `GaussianEmission`

### toString

    public String toString()

  Overrides:
    `toString` in class `GaussianEmission`

### toXML

    public StringBuffer toXML()

  Description copied from interface: `Storable`
  This method returns an XML representation as `StringBuffer` of an instance of the implementing class.

  Specified by:
    `toXML` in interface `Storable`
  Overrides:
    `toXML` in class `GaussianEmission`
  Returns:
    the XML representation

### fromXML

    protected void fromXML(StringBuffer xml)
                    throws NonParsableException

  Description copied from class: `GaussianEmission`
  This method is internally used by the constructor `GaussianEmission.GaussianEmission(StringBuffer)`.

  Overrides:
    `fromXML` in class `GaussianEmission`
  Parameters:
    `xml` - the `StringBuffer` containing the xml representation of an instance
  Throws:
    `NonParsableException` - if the `StringBuffer` is not parsable
  See Also:
    `GaussianEmission.GaussianEmission(StringBuffer)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD